//================================================================
// Trubetskoy Alex, February 2004
//================================================================
using System;
using System.Drawing;
using System.Collections;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using System.Text;

namespace EngWords
{
	/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class mainForm : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.MainMenu mainMenu;
		private System.Windows.Forms.MenuItem miFile;
		private System.Windows.Forms.MenuItem miOpen;
		private System.Windows.Forms.MenuItem miSep;
		private System.Windows.Forms.MenuItem miExit;
		private System.Windows.Forms.MenuItem miHelp;
		private System.Windows.Forms.MenuItem miAbout;
		private System.Windows.Forms.StatusBar statusBar;
		private System.Windows.Forms.ListBox lbWords;
		private System.Windows.Forms.Label lbSelect;
		private System.Windows.Forms.TextBox tbWord;
		private System.Windows.Forms.Label lbCountAnsw;
		private System.Windows.Forms.TextBox tbCountAnsw;
		private System.Windows.Forms.Label lbCountRightAnsw;
		private System.Windows.Forms.TextBox tbCountRightAnsw;
		private System.Windows.Forms.OpenFileDialog openDlg;
		private System.Windows.Forms.StatusBarPanel statusBarPanel1;
		private System.Windows.Forms.GroupBox groupBox;
		private System.Windows.Forms.RadioButton rbE2R;
		private System.Windows.Forms.RadioButton rbR2E;

		bool eng2rus = true;      //the direction of translating
		//for storing words
		StringCollection scEng = new StringCollection();
		StringCollection scRus = new StringCollection();
		//counters
		int countAnsw = 0;
		int countRightAnsw = 0;
		int countWords = 0;

		public mainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(mainForm));
			this.mainMenu = new System.Windows.Forms.MainMenu();
			this.miFile = new System.Windows.Forms.MenuItem();
			this.miOpen = new System.Windows.Forms.MenuItem();
			this.miSep = new System.Windows.Forms.MenuItem();
			this.miExit = new System.Windows.Forms.MenuItem();
			this.miHelp = new System.Windows.Forms.MenuItem();
			this.miAbout = new System.Windows.Forms.MenuItem();
			this.statusBar = new System.Windows.Forms.StatusBar();
			this.statusBarPanel1 = new System.Windows.Forms.StatusBarPanel();
			this.lbWords = new System.Windows.Forms.ListBox();
			this.lbSelect = new System.Windows.Forms.Label();
			this.tbWord = new System.Windows.Forms.TextBox();
			this.lbCountAnsw = new System.Windows.Forms.Label();
			this.tbCountAnsw = new System.Windows.Forms.TextBox();
			this.lbCountRightAnsw = new System.Windows.Forms.Label();
			this.tbCountRightAnsw = new System.Windows.Forms.TextBox();
			this.openDlg = new System.Windows.Forms.OpenFileDialog();
			this.groupBox = new System.Windows.Forms.GroupBox();
			this.rbR2E = new System.Windows.Forms.RadioButton();
			this.rbE2R = new System.Windows.Forms.RadioButton();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).BeginInit();
			this.groupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// mainMenu
			// 
			this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.miFile,
						this.miHelp});
			this.mainMenu.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("mainMenu.RightToLeft")));
			// 
			// miFile
			// 
			this.miFile.Enabled = ((bool)(resources.GetObject("miFile.Enabled")));
			this.miFile.Index = 0;
			this.miFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.miOpen,
						this.miSep,
						this.miExit});
			this.miFile.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miFile.Shortcut")));
			this.miFile.ShowShortcut = ((bool)(resources.GetObject("miFile.ShowShortcut")));
			this.miFile.Text = resources.GetString("miFile.Text");
			this.miFile.Visible = ((bool)(resources.GetObject("miFile.Visible")));
			// 
			// miOpen
			// 
			this.miOpen.Enabled = ((bool)(resources.GetObject("miOpen.Enabled")));
			this.miOpen.Index = 0;
			this.miOpen.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miOpen.Shortcut")));
			this.miOpen.ShowShortcut = ((bool)(resources.GetObject("miOpen.ShowShortcut")));
			this.miOpen.Text = resources.GetString("miOpen.Text");
			this.miOpen.Visible = ((bool)(resources.GetObject("miOpen.Visible")));
			this.miOpen.Click += new System.EventHandler(this.miOpen_Click);
			this.miOpen.Select += new System.EventHandler(this.miOpen_Select);
			// 
			// miSep
			// 
			this.miSep.Enabled = ((bool)(resources.GetObject("miSep.Enabled")));
			this.miSep.Index = 1;
			this.miSep.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miSep.Shortcut")));
			this.miSep.ShowShortcut = ((bool)(resources.GetObject("miSep.ShowShortcut")));
			this.miSep.Text = resources.GetString("miSep.Text");
			this.miSep.Visible = ((bool)(resources.GetObject("miSep.Visible")));
			// 
			// miExit
			// 
			this.miExit.Enabled = ((bool)(resources.GetObject("miExit.Enabled")));
			this.miExit.Index = 2;
			this.miExit.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miExit.Shortcut")));
			this.miExit.ShowShortcut = ((bool)(resources.GetObject("miExit.ShowShortcut")));
			this.miExit.Text = resources.GetString("miExit.Text");
			this.miExit.Visible = ((bool)(resources.GetObject("miExit.Visible")));
			this.miExit.Click += new System.EventHandler(this.miExit_Click);
			this.miExit.Select += new System.EventHandler(this.miExit_Select);
			// 
			// miHelp
			// 
			this.miHelp.Enabled = ((bool)(resources.GetObject("miHelp.Enabled")));
			this.miHelp.Index = 1;
			this.miHelp.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.miAbout});
			this.miHelp.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miHelp.Shortcut")));
			this.miHelp.ShowShortcut = ((bool)(resources.GetObject("miHelp.ShowShortcut")));
			this.miHelp.Text = resources.GetString("miHelp.Text");
			this.miHelp.Visible = ((bool)(resources.GetObject("miHelp.Visible")));
			// 
			// miAbout
			// 
			this.miAbout.Enabled = ((bool)(resources.GetObject("miAbout.Enabled")));
			this.miAbout.Index = 0;
			this.miAbout.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("miAbout.Shortcut")));
			this.miAbout.ShowShortcut = ((bool)(resources.GetObject("miAbout.ShowShortcut")));
			this.miAbout.Text = resources.GetString("miAbout.Text");
			this.miAbout.Visible = ((bool)(resources.GetObject("miAbout.Visible")));
			this.miAbout.Click += new System.EventHandler(this.miAbout_Click);
			this.miAbout.Select += new System.EventHandler(this.miAbout_Select);
			// 
			// statusBar
			// 
			this.statusBar.AccessibleDescription = resources.GetString("statusBar.AccessibleDescription");
			this.statusBar.AccessibleName = resources.GetString("statusBar.AccessibleName");
			this.statusBar.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("statusBar.Anchor")));
			this.statusBar.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("statusBar.BackgroundImage")));
			this.statusBar.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("statusBar.Dock")));
			this.statusBar.Enabled = ((bool)(resources.GetObject("statusBar.Enabled")));
			this.statusBar.Font = ((System.Drawing.Font)(resources.GetObject("statusBar.Font")));
			this.statusBar.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("statusBar.ImeMode")));
			this.statusBar.Location = ((System.Drawing.Point)(resources.GetObject("statusBar.Location")));
			this.statusBar.Name = "statusBar";
			this.statusBar.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
						this.statusBarPanel1});
			this.statusBar.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("statusBar.RightToLeft")));
			this.statusBar.ShowPanels = true;
			this.statusBar.Size = ((System.Drawing.Size)(resources.GetObject("statusBar.Size")));
			this.statusBar.TabIndex = ((int)(resources.GetObject("statusBar.TabIndex")));
			this.statusBar.Text = resources.GetString("statusBar.Text");
			this.statusBar.Visible = ((bool)(resources.GetObject("statusBar.Visible")));
			// 
			// statusBarPanel1
			// 
			this.statusBarPanel1.Alignment = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("statusBarPanel1.Alignment")));
			this.statusBarPanel1.Icon = ((System.Drawing.Icon)(resources.GetObject("statusBarPanel1.Icon")));
			this.statusBarPanel1.MinWidth = ((int)(resources.GetObject("statusBarPanel1.MinWidth")));
			this.statusBarPanel1.Text = resources.GetString("statusBarPanel1.Text");
			this.statusBarPanel1.ToolTipText = resources.GetString("statusBarPanel1.ToolTipText");
			this.statusBarPanel1.Width = ((int)(resources.GetObject("statusBarPanel1.Width")));
			// 
			// lbWords
			// 
			this.lbWords.AccessibleDescription = resources.GetString("lbWords.AccessibleDescription");
			this.lbWords.AccessibleName = resources.GetString("lbWords.AccessibleName");
			this.lbWords.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lbWords.Anchor")));
			this.lbWords.BackColor = System.Drawing.Color.FromArgb(((byte)(224)), ((byte)(224)), ((byte)(224)));
			this.lbWords.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("lbWords.BackgroundImage")));
			this.lbWords.ColumnWidth = ((int)(resources.GetObject("lbWords.ColumnWidth")));
			this.lbWords.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lbWords.Dock")));
			this.lbWords.Enabled = ((bool)(resources.GetObject("lbWords.Enabled")));
			this.lbWords.Font = ((System.Drawing.Font)(resources.GetObject("lbWords.Font")));
			this.lbWords.ForeColor = System.Drawing.Color.Brown;
			this.lbWords.HorizontalExtent = ((int)(resources.GetObject("lbWords.HorizontalExtent")));
			this.lbWords.HorizontalScrollbar = ((bool)(resources.GetObject("lbWords.HorizontalScrollbar")));
			this.lbWords.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lbWords.ImeMode")));
			this.lbWords.IntegralHeight = ((bool)(resources.GetObject("lbWords.IntegralHeight")));
			this.lbWords.ItemHeight = ((int)(resources.GetObject("lbWords.ItemHeight")));
			this.lbWords.Items.AddRange(new object[] {
						resources.GetString("resource")});
			this.lbWords.Location = ((System.Drawing.Point)(resources.GetObject("lbWords.Location")));
			this.lbWords.MultiColumn = true;
			this.lbWords.Name = "lbWords";
			this.lbWords.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lbWords.RightToLeft")));
			this.lbWords.ScrollAlwaysVisible = ((bool)(resources.GetObject("lbWords.ScrollAlwaysVisible")));
			this.lbWords.Size = ((System.Drawing.Size)(resources.GetObject("lbWords.Size")));
			this.lbWords.Sorted = true;
			this.lbWords.TabIndex = ((int)(resources.GetObject("lbWords.TabIndex")));
			this.lbWords.Visible = ((bool)(resources.GetObject("lbWords.Visible")));
			this.lbWords.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lbWords_MouseUp);
			// 
			// lbSelect
			// 
			this.lbSelect.AccessibleDescription = resources.GetString("lbSelect.AccessibleDescription");
			this.lbSelect.AccessibleName = resources.GetString("lbSelect.AccessibleName");
			this.lbSelect.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lbSelect.Anchor")));
			this.lbSelect.AutoSize = ((bool)(resources.GetObject("lbSelect.AutoSize")));
			this.lbSelect.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lbSelect.Dock")));
			this.lbSelect.Enabled = ((bool)(resources.GetObject("lbSelect.Enabled")));
			this.lbSelect.Font = ((System.Drawing.Font)(resources.GetObject("lbSelect.Font")));
			this.lbSelect.Image = ((System.Drawing.Image)(resources.GetObject("lbSelect.Image")));
			this.lbSelect.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbSelect.ImageAlign")));
			this.lbSelect.ImageIndex = ((int)(resources.GetObject("lbSelect.ImageIndex")));
			this.lbSelect.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lbSelect.ImeMode")));
			this.lbSelect.Location = ((System.Drawing.Point)(resources.GetObject("lbSelect.Location")));
			this.lbSelect.Name = "lbSelect";
			this.lbSelect.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lbSelect.RightToLeft")));
			this.lbSelect.Size = ((System.Drawing.Size)(resources.GetObject("lbSelect.Size")));
			this.lbSelect.TabIndex = ((int)(resources.GetObject("lbSelect.TabIndex")));
			this.lbSelect.Text = resources.GetString("lbSelect.Text");
			this.lbSelect.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbSelect.TextAlign")));
			this.lbSelect.Visible = ((bool)(resources.GetObject("lbSelect.Visible")));
			// 
			// tbWord
			// 
			this.tbWord.AccessibleDescription = resources.GetString("tbWord.AccessibleDescription");
			this.tbWord.AccessibleName = resources.GetString("tbWord.AccessibleName");
			this.tbWord.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbWord.Anchor")));
			this.tbWord.AutoSize = ((bool)(resources.GetObject("tbWord.AutoSize")));
			this.tbWord.BackColor = System.Drawing.Color.FromArgb(((byte)(224)), ((byte)(224)), ((byte)(224)));
			this.tbWord.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbWord.BackgroundImage")));
			this.tbWord.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbWord.Dock")));
			this.tbWord.Enabled = ((bool)(resources.GetObject("tbWord.Enabled")));
			this.tbWord.Font = ((System.Drawing.Font)(resources.GetObject("tbWord.Font")));
			this.tbWord.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbWord.ImeMode")));
			this.tbWord.Location = ((System.Drawing.Point)(resources.GetObject("tbWord.Location")));
			this.tbWord.MaxLength = ((int)(resources.GetObject("tbWord.MaxLength")));
			this.tbWord.Multiline = ((bool)(resources.GetObject("tbWord.Multiline")));
			this.tbWord.Name = "tbWord";
			this.tbWord.PasswordChar = ((char)(resources.GetObject("tbWord.PasswordChar")));
			this.tbWord.ReadOnly = true;
			this.tbWord.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbWord.RightToLeft")));
			this.tbWord.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbWord.ScrollBars")));
			this.tbWord.Size = ((System.Drawing.Size)(resources.GetObject("tbWord.Size")));
			this.tbWord.TabIndex = ((int)(resources.GetObject("tbWord.TabIndex")));
			this.tbWord.Text = resources.GetString("tbWord.Text");
			this.tbWord.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbWord.TextAlign")));
			this.tbWord.Visible = ((bool)(resources.GetObject("tbWord.Visible")));
			this.tbWord.WordWrap = ((bool)(resources.GetObject("tbWord.WordWrap")));
			this.tbWord.MouseEnter += new System.EventHandler(this.tbWord_MouseEnter);
			// 
			// lbCountAnsw
			// 
			this.lbCountAnsw.AccessibleDescription = resources.GetString("lbCountAnsw.AccessibleDescription");
			this.lbCountAnsw.AccessibleName = resources.GetString("lbCountAnsw.AccessibleName");
			this.lbCountAnsw.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lbCountAnsw.Anchor")));
			this.lbCountAnsw.AutoSize = ((bool)(resources.GetObject("lbCountAnsw.AutoSize")));
			this.lbCountAnsw.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lbCountAnsw.Dock")));
			this.lbCountAnsw.Enabled = ((bool)(resources.GetObject("lbCountAnsw.Enabled")));
			this.lbCountAnsw.Font = ((System.Drawing.Font)(resources.GetObject("lbCountAnsw.Font")));
			this.lbCountAnsw.Image = ((System.Drawing.Image)(resources.GetObject("lbCountAnsw.Image")));
			this.lbCountAnsw.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbCountAnsw.ImageAlign")));
			this.lbCountAnsw.ImageIndex = ((int)(resources.GetObject("lbCountAnsw.ImageIndex")));
			this.lbCountAnsw.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lbCountAnsw.ImeMode")));
			this.lbCountAnsw.Location = ((System.Drawing.Point)(resources.GetObject("lbCountAnsw.Location")));
			this.lbCountAnsw.Name = "lbCountAnsw";
			this.lbCountAnsw.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lbCountAnsw.RightToLeft")));
			this.lbCountAnsw.Size = ((System.Drawing.Size)(resources.GetObject("lbCountAnsw.Size")));
			this.lbCountAnsw.TabIndex = ((int)(resources.GetObject("lbCountAnsw.TabIndex")));
			this.lbCountAnsw.Text = resources.GetString("lbCountAnsw.Text");
			this.lbCountAnsw.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbCountAnsw.TextAlign")));
			this.lbCountAnsw.Visible = ((bool)(resources.GetObject("lbCountAnsw.Visible")));
			// 
			// tbCountAnsw
			// 
			this.tbCountAnsw.AccessibleDescription = resources.GetString("tbCountAnsw.AccessibleDescription");
			this.tbCountAnsw.AccessibleName = resources.GetString("tbCountAnsw.AccessibleName");
			this.tbCountAnsw.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbCountAnsw.Anchor")));
			this.tbCountAnsw.AutoSize = ((bool)(resources.GetObject("tbCountAnsw.AutoSize")));
			this.tbCountAnsw.BackColor = System.Drawing.Color.FromArgb(((byte)(224)), ((byte)(224)), ((byte)(224)));
			this.tbCountAnsw.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbCountAnsw.BackgroundImage")));
			this.tbCountAnsw.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbCountAnsw.Dock")));
			this.tbCountAnsw.Enabled = ((bool)(resources.GetObject("tbCountAnsw.Enabled")));
			this.tbCountAnsw.Font = ((System.Drawing.Font)(resources.GetObject("tbCountAnsw.Font")));
			this.tbCountAnsw.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbCountAnsw.ImeMode")));
			this.tbCountAnsw.Location = ((System.Drawing.Point)(resources.GetObject("tbCountAnsw.Location")));
			this.tbCountAnsw.MaxLength = ((int)(resources.GetObject("tbCountAnsw.MaxLength")));
			this.tbCountAnsw.Multiline = ((bool)(resources.GetObject("tbCountAnsw.Multiline")));
			this.tbCountAnsw.Name = "tbCountAnsw";
			this.tbCountAnsw.PasswordChar = ((char)(resources.GetObject("tbCountAnsw.PasswordChar")));
			this.tbCountAnsw.ReadOnly = true;
			this.tbCountAnsw.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbCountAnsw.RightToLeft")));
			this.tbCountAnsw.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbCountAnsw.ScrollBars")));
			this.tbCountAnsw.Size = ((System.Drawing.Size)(resources.GetObject("tbCountAnsw.Size")));
			this.tbCountAnsw.TabIndex = ((int)(resources.GetObject("tbCountAnsw.TabIndex")));
			this.tbCountAnsw.Text = resources.GetString("tbCountAnsw.Text");
			this.tbCountAnsw.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbCountAnsw.TextAlign")));
			this.tbCountAnsw.Visible = ((bool)(resources.GetObject("tbCountAnsw.Visible")));
			this.tbCountAnsw.WordWrap = ((bool)(resources.GetObject("tbCountAnsw.WordWrap")));
			this.tbCountAnsw.MouseEnter += new System.EventHandler(this.tbCountAnsw_MouseEnter);
			// 
			// lbCountRightAnsw
			// 
			this.lbCountRightAnsw.AccessibleDescription = resources.GetString("lbCountRightAnsw.AccessibleDescription");
			this.lbCountRightAnsw.AccessibleName = resources.GetString("lbCountRightAnsw.AccessibleName");
			this.lbCountRightAnsw.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lbCountRightAnsw.Anchor")));
			this.lbCountRightAnsw.AutoSize = ((bool)(resources.GetObject("lbCountRightAnsw.AutoSize")));
			this.lbCountRightAnsw.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lbCountRightAnsw.Dock")));
			this.lbCountRightAnsw.Enabled = ((bool)(resources.GetObject("lbCountRightAnsw.Enabled")));
			this.lbCountRightAnsw.Font = ((System.Drawing.Font)(resources.GetObject("lbCountRightAnsw.Font")));
			this.lbCountRightAnsw.Image = ((System.Drawing.Image)(resources.GetObject("lbCountRightAnsw.Image")));
			this.lbCountRightAnsw.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbCountRightAnsw.ImageAlign")));
			this.lbCountRightAnsw.ImageIndex = ((int)(resources.GetObject("lbCountRightAnsw.ImageIndex")));
			this.lbCountRightAnsw.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lbCountRightAnsw.ImeMode")));
			this.lbCountRightAnsw.Location = ((System.Drawing.Point)(resources.GetObject("lbCountRightAnsw.Location")));
			this.lbCountRightAnsw.Name = "lbCountRightAnsw";
			this.lbCountRightAnsw.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lbCountRightAnsw.RightToLeft")));
			this.lbCountRightAnsw.Size = ((System.Drawing.Size)(resources.GetObject("lbCountRightAnsw.Size")));
			this.lbCountRightAnsw.TabIndex = ((int)(resources.GetObject("lbCountRightAnsw.TabIndex")));
			this.lbCountRightAnsw.Text = resources.GetString("lbCountRightAnsw.Text");
			this.lbCountRightAnsw.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lbCountRightAnsw.TextAlign")));
			this.lbCountRightAnsw.Visible = ((bool)(resources.GetObject("lbCountRightAnsw.Visible")));
			// 
			// tbCountRightAnsw
			// 
			this.tbCountRightAnsw.AccessibleDescription = resources.GetString("tbCountRightAnsw.AccessibleDescription");
			this.tbCountRightAnsw.AccessibleName = resources.GetString("tbCountRightAnsw.AccessibleName");
			this.tbCountRightAnsw.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbCountRightAnsw.Anchor")));
			this.tbCountRightAnsw.AutoSize = ((bool)(resources.GetObject("tbCountRightAnsw.AutoSize")));
			this.tbCountRightAnsw.BackColor = System.Drawing.Color.FromArgb(((byte)(224)), ((byte)(224)), ((byte)(224)));
			this.tbCountRightAnsw.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbCountRightAnsw.BackgroundImage")));
			this.tbCountRightAnsw.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbCountRightAnsw.Dock")));
			this.tbCountRightAnsw.Enabled = ((bool)(resources.GetObject("tbCountRightAnsw.Enabled")));
			this.tbCountRightAnsw.Font = ((System.Drawing.Font)(resources.GetObject("tbCountRightAnsw.Font")));
			this.tbCountRightAnsw.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbCountRightAnsw.ImeMode")));
			this.tbCountRightAnsw.Location = ((System.Drawing.Point)(resources.GetObject("tbCountRightAnsw.Location")));
			this.tbCountRightAnsw.MaxLength = ((int)(resources.GetObject("tbCountRightAnsw.MaxLength")));
			this.tbCountRightAnsw.Multiline = ((bool)(resources.GetObject("tbCountRightAnsw.Multiline")));
			this.tbCountRightAnsw.Name = "tbCountRightAnsw";
			this.tbCountRightAnsw.PasswordChar = ((char)(resources.GetObject("tbCountRightAnsw.PasswordChar")));
			this.tbCountRightAnsw.ReadOnly = true;
			this.tbCountRightAnsw.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbCountRightAnsw.RightToLeft")));
			this.tbCountRightAnsw.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbCountRightAnsw.ScrollBars")));
			this.tbCountRightAnsw.Size = ((System.Drawing.Size)(resources.GetObject("tbCountRightAnsw.Size")));
			this.tbCountRightAnsw.TabIndex = ((int)(resources.GetObject("tbCountRightAnsw.TabIndex")));
			this.tbCountRightAnsw.Text = resources.GetString("tbCountRightAnsw.Text");
			this.tbCountRightAnsw.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbCountRightAnsw.TextAlign")));
			this.tbCountRightAnsw.Visible = ((bool)(resources.GetObject("tbCountRightAnsw.Visible")));
			this.tbCountRightAnsw.WordWrap = ((bool)(resources.GetObject("tbCountRightAnsw.WordWrap")));
			this.tbCountRightAnsw.MouseEnter += new System.EventHandler(this.tbCountRightAnsw_MouseEnter);
			// 
			// openDlg
			// 
			this.openDlg.Filter = resources.GetString("openDlg.Filter");
			this.openDlg.Title = resources.GetString("openDlg.Title");
			// 
			// groupBox
			// 
			this.groupBox.AccessibleDescription = resources.GetString("groupBox.AccessibleDescription");
			this.groupBox.AccessibleName = resources.GetString("groupBox.AccessibleName");
			this.groupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("groupBox.Anchor")));
			this.groupBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("groupBox.BackgroundImage")));
			this.groupBox.Controls.Add(this.rbR2E);
			this.groupBox.Controls.Add(this.rbE2R);
			this.groupBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("groupBox.Dock")));
			this.groupBox.Enabled = ((bool)(resources.GetObject("groupBox.Enabled")));
			this.groupBox.Font = ((System.Drawing.Font)(resources.GetObject("groupBox.Font")));
			this.groupBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("groupBox.ImeMode")));
			this.groupBox.Location = ((System.Drawing.Point)(resources.GetObject("groupBox.Location")));
			this.groupBox.Name = "groupBox";
			this.groupBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("groupBox.RightToLeft")));
			this.groupBox.Size = ((System.Drawing.Size)(resources.GetObject("groupBox.Size")));
			this.groupBox.TabIndex = ((int)(resources.GetObject("groupBox.TabIndex")));
			this.groupBox.TabStop = false;
			this.groupBox.Text = resources.GetString("groupBox.Text");
			this.groupBox.Visible = ((bool)(resources.GetObject("groupBox.Visible")));
			// 
			// rbR2E
			// 
			this.rbR2E.AccessibleDescription = resources.GetString("rbR2E.AccessibleDescription");
			this.rbR2E.AccessibleName = resources.GetString("rbR2E.AccessibleName");
			this.rbR2E.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("rbR2E.Anchor")));
			this.rbR2E.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("rbR2E.Appearance")));
			this.rbR2E.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("rbR2E.BackgroundImage")));
			this.rbR2E.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbR2E.CheckAlign")));
			this.rbR2E.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("rbR2E.Dock")));
			this.rbR2E.Enabled = ((bool)(resources.GetObject("rbR2E.Enabled")));
			this.rbR2E.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("rbR2E.FlatStyle")));
			this.rbR2E.Font = ((System.Drawing.Font)(resources.GetObject("rbR2E.Font")));
			this.rbR2E.Image = ((System.Drawing.Image)(resources.GetObject("rbR2E.Image")));
			this.rbR2E.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbR2E.ImageAlign")));
			this.rbR2E.ImageIndex = ((int)(resources.GetObject("rbR2E.ImageIndex")));
			this.rbR2E.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("rbR2E.ImeMode")));
			this.rbR2E.Location = ((System.Drawing.Point)(resources.GetObject("rbR2E.Location")));
			this.rbR2E.Name = "rbR2E";
			this.rbR2E.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("rbR2E.RightToLeft")));
			this.rbR2E.Size = ((System.Drawing.Size)(resources.GetObject("rbR2E.Size")));
			this.rbR2E.TabIndex = ((int)(resources.GetObject("rbR2E.TabIndex")));
			this.rbR2E.Text = resources.GetString("rbR2E.Text");
			this.rbR2E.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbR2E.TextAlign")));
			this.rbR2E.Visible = ((bool)(resources.GetObject("rbR2E.Visible")));
			this.rbR2E.CheckedChanged += new System.EventHandler(this.rbR2E_CheckedChanged);
			// 
			// rbE2R
			// 
			this.rbE2R.AccessibleDescription = resources.GetString("rbE2R.AccessibleDescription");
			this.rbE2R.AccessibleName = resources.GetString("rbE2R.AccessibleName");
			this.rbE2R.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("rbE2R.Anchor")));
			this.rbE2R.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("rbE2R.Appearance")));
			this.rbE2R.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("rbE2R.BackgroundImage")));
			this.rbE2R.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbE2R.CheckAlign")));
			this.rbE2R.Checked = true;
			this.rbE2R.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("rbE2R.Dock")));
			this.rbE2R.Enabled = ((bool)(resources.GetObject("rbE2R.Enabled")));
			this.rbE2R.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("rbE2R.FlatStyle")));
			this.rbE2R.Font = ((System.Drawing.Font)(resources.GetObject("rbE2R.Font")));
			this.rbE2R.Image = ((System.Drawing.Image)(resources.GetObject("rbE2R.Image")));
			this.rbE2R.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbE2R.ImageAlign")));
			this.rbE2R.ImageIndex = ((int)(resources.GetObject("rbE2R.ImageIndex")));
			this.rbE2R.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("rbE2R.ImeMode")));
			this.rbE2R.Location = ((System.Drawing.Point)(resources.GetObject("rbE2R.Location")));
			this.rbE2R.Name = "rbE2R";
			this.rbE2R.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("rbE2R.RightToLeft")));
			this.rbE2R.Size = ((System.Drawing.Size)(resources.GetObject("rbE2R.Size")));
			this.rbE2R.TabIndex = ((int)(resources.GetObject("rbE2R.TabIndex")));
			this.rbE2R.TabStop = true;
			this.rbE2R.Text = resources.GetString("rbE2R.Text");
			this.rbE2R.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbE2R.TextAlign")));
			this.rbE2R.Visible = ((bool)(resources.GetObject("rbE2R.Visible")));
			this.rbE2R.CheckedChanged += new System.EventHandler(this.rbE2R_CheckedChanged);
			// 
			// mainForm
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackColor = System.Drawing.Color.FromArgb(((byte)(224)), ((byte)(224)), ((byte)(224)));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.groupBox);
			this.Controls.Add(this.tbCountRightAnsw);
			this.Controls.Add(this.tbCountAnsw);
			this.Controls.Add(this.tbWord);
			this.Controls.Add(this.lbCountRightAnsw);
			this.Controls.Add(this.lbCountAnsw);
			this.Controls.Add(this.lbSelect);
			this.Controls.Add(this.lbWords);
			this.Controls.Add(this.statusBar);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ForeColor = System.Drawing.Color.Black;
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.Menu = this.mainMenu;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "mainForm";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.MouseEnter += new System.EventHandler(this.mainForm_MouseEnter);
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).EndInit();
			this.groupBox.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.Run(new mainForm());
		}

		private void miOpen_Click(object sender, System.EventArgs e)
		{
			if (openDlg.ShowDialog() == DialogResult.OK) {
				string str = "";
				//open the file to read from
				FileStream fs = File.OpenRead(openDlg.FileName);
				byte[] b = new byte[fs.Length];
				Encoding encoding = Encoding.Default;

				//read from file
				while (fs.Read(b,0,b.Length) > 0) {
					str =  encoding.GetString(b);
				}

				//divide string & print words & fill StringCollections for
				//russian & english words
				string[] split = null;
				string wordRus = "";
				string wordEng = "";
				initVariables();
				countWords = 0;

				split = str.Split('\n');
				lbWords.Items.Clear();
				scEng.Clear();
				scRus.Clear();
				foreach (string s in split) {
					if(s.IndexOf('/') != -1) {
						wordRus = s.Substring(s.IndexOf('/')+1);
						wordRus = wordRus.Remove(wordRus.Length-1, 1);
						wordEng = s.Substring(0, s.IndexOf('/'));
						scEng.Add(wordEng);
						scRus.Add(wordRus);
						++countWords;
					}
					if(wordRus.Length > 0 && wordEng.Length > 0) {
						if(eng2rus) {
							lbWords.Items.Add(wordRus);
						}
						else {
							lbWords.Items.Add(wordEng);
						}
					}
					wordRus = ""; wordEng = "";
				}
				//select the first word to translate with a random number
				if(lbWords.Items.Count > 0) {
					Random rnum = new Random(unchecked((int)DateTime.Now.Ticks));
					if(eng2rus)
						tbWord.Text = (string)scEng[rnum.Next(0, lbWords.Items.Count-1)];
					else
						tbWord.Text = (string)scRus[rnum.Next(0, lbWords.Items.Count-1)];
				}
			}
		}

		private void miExit_Click(object sender, System.EventArgs e)
		{
            Close();
		}

		private void miOpen_Select(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "Open a dictionary file";
		}

		private void miExit_Select(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "Exit the program";
		}

		private void miAbout_Select(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "Show the information about the program";
		}

		private void tbCountAnsw_MouseEnter(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "The count of answers";
		}

		private void tbCountRightAnsw_MouseEnter(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "The count of right answers";
		}

		private void tbWord_MouseEnter(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "The word to translate";
		}

		private void mainForm_MouseEnter(object sender, System.EventArgs e)
		{
			statusBarPanel1.Text = "Ready";
		}

		private void rbR2E_CheckedChanged(object sender, System.EventArgs e)
		{
			//change the direction of the translation
			eng2rus = false;
			initVariables();
			if(scEng.Count > 0) {
				lbWords.Items.Clear();
				foreach(string s in scEng) {
					lbWords.Items.Add(s);
				}
				//select the first word to translate
				Random rnum = new Random(unchecked((int)DateTime.Now.Ticks));
				tbWord.Text = (string)scRus[rnum.Next(0, lbWords.Items.Count-1)];
			}
		}

		private void rbE2R_CheckedChanged(object sender, System.EventArgs e)
		{
			//change the direction of the translation
			eng2rus = true;
			initVariables();
			if(scRus.Count > 0) {
				lbWords.Items.Clear();
				foreach(string s in scRus) {
					lbWords.Items.Add(s);
				}
				//select the first word to translate
				Random rnum = new Random(unchecked((int)DateTime.Now.Ticks));
				tbWord.Text = (string)scEng[rnum.Next(0, lbWords.Items.Count-1)];
			}
		}

		private void lbWords_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if(lbWords.SelectedIndex != -1) {    //you've selected a word
				if(countWords > countAnsw) {
					string selWord = lbWords.SelectedItem.ToString();
					if(eng2rus) {
						int i = scEng.IndexOf(tbWord.Text);
						if(i == scRus.IndexOf(selWord)) {    //right answer
							++countRightAnsw;
							tbCountRightAnsw.Text = countRightAnsw.ToString();
						}
					}
					else {
						int i = scRus.IndexOf(tbWord.Text);
						if(i == scEng.IndexOf(selWord)) {     //right answer
							++countRightAnsw;
							tbCountRightAnsw.Text = countRightAnsw.ToString();
						}
					}

					if(selWord.Length > 0) {    //increase the answer counter
						++countAnsw;
						tbCountAnsw.Text = countAnsw.ToString();
					}
					if(countWords <= countAnsw) {   //there is no word else
                        getMark();
						initVariables();
					}

					//get a new word to translate
					Random rnum = new Random(unchecked((int)DateTime.Now.Ticks));
					if(eng2rus)
						tbWord.Text = (string)scEng[rnum.Next(0, lbWords.Items.Count-1)];
					else
						tbWord.Text = (string)scRus[rnum.Next(0, lbWords.Items.Count-1)];

					//cancel selection of the word
					lbWords.SetSelected(lbWords.SelectedIndex, false);
				}
			}
		}

		//show the window displaying the user's mark
		private void getMark() {
			WinFormMark mark = new WinFormMark(countWords, countRightAnsw);
			mark.ShowDialog();
		}

		private void initVariables() {
			tbCountAnsw.Text = "0";
			tbCountRightAnsw.Text = "0";
			countAnsw = countRightAnsw = 0;
		}
		
		private void miAbout_Click(object sender, System.EventArgs e)
		{
			WinFormAbout formAbout = new WinFormAbout();
			formAbout.ShowDialog();
		}
	}
}
